## ros-indigo-airbus-ssm-plugin 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(airbus_ssm_plugin)

find_package(catkin REQUIRED COMPONENTS
  airbus_ssm_core
  airbus_cobot_gui
  airbus_pyqt_extend
  rospy
)

catkin_python_setup()

catkin_package()

install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES plugin_descriptor.xml agidoc.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/ssm_interface_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-airbus-ssm-plugin (0.0.4-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/ipa320/airbus_coop/issues/36> from ipa-led/master
    Added dotgraph viewer to ssm_plugin
  * Added the dot graph viewer in the ssm plugin
  * edit of the layout
  * first version not working
  * Modified the plugin to work with the service.
  * Contributors: Nadia Hammoudeh García, ipa-led

 -- Ludovic Delval <led@ipa.fhg.de>  Tue, 12 Sep 2017 22:00:00 -0000

ros-indigo-airbus-ssm-plugin (0.0.3-0trusty) trusty; urgency=high

  * Merge pull request #33 <https://github.com/ipa320/airbus_coop/issues/33> from ipa-nhg/Rename
    Rename packages
  * renamed ssm_core to airbus_ssm_core
  * rename ssm_plugin to airbus_ssm_plugin
  * Contributors: Nadia Hammoudeh García, ipa-nhg

 -- Ludovic Delval <led@ipa.fhg.de>  Tue, 05 Sep 2017 22:00:00 -0000

ros-indigo-airbus-ssm-plugin (0.0.2-0trusty) trusty; urgency=high

  * fixed the scxml file parameter path in the gui
  * ctrl+c should close the windows in the stand alone script
  * ctrl+c command should now stop the stand alone app
  * fixed encoding in resources files
  * Added license files
  * Changed order in the the licensing header
  * added licensing header to airbus_ssm_plugin package
  * update and anify package.xml files
  * added ccm_plugin
  * Removed all hardware specific plugins and dashboard, cleaning up all the hardware specifics launchs / configs files
  * Review CMakelists and package files
  * added needed dependencies packages
  * Contributors: ipa-led, ipa-nhg

 -- Ludovic Delval <led@ipa.fhg.de>  Mon, 04 Sep 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-airbus-ssm-plugin
Section: misc
Priority: extra
Maintainer: Ludovic Delval <led@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-airbus-cobot-gui, ros-indigo-airbus-pyqt-extend, ros-indigo-airbus-ssm-core, ros-indigo-catkin, ros-indigo-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-airbus-ssm-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-airbus-cobot-gui, ros-indigo-airbus-pyqt-extend, ros-indigo-airbus-ssm-core, ros-indigo-rospy
Description: The airbus_ssm_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-airbus-ssm-plugin//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
